Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent receipts

GET/workspaces/{organizationId}/agent/receipts
Path parameters
organizationIdstringrequired
Query parameters
sessionIdstring
agentIdstring
issueIdstring
stepKeystring
dealIdstring
sincestring
untilstring
limitstring
Responses
200

Run receipts — per-run usage + cost records

receiptsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
sessionIdstringrequired
issueIdstringrequired
agentIdstringrequired
stepKeystring | nullrequired
dealIdstring | nullrequired
statusstringrequired
modelstring | nullrequired
effortstring | nullrequired
inputTokensinteger | nullrequired
outputTokensinteger | nullrequired
totalTokensinteger | nullrequired
toolCallsinteger | nullrequired
costMicrosinteger | nullrequired
externalSpendMicrosinteger | nullrequired
totalCostMicrosinteger | nullrequired
costSourcestring | nullrequired
Allowed:reportedrate_mapnull
capExceededintegerrequired
stopReasonstring | nullrequired
startedAtstring | nullrequired
endedAtstring | nullrequired
durationMsinteger | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/agent/receipts' \
  -H 'Accept: application/json'
Response
{
  "receipts": [
    {
      "id": "string",
      "organizationId": "string",
      "sessionId": "string",
      "issueId": "string",
      "agentId": "string",
      "stepKey": "string",
      "dealId": "string",
      "status": "string",
      "model": "string",
      "effort": "string",
      "inputTokens": 0,
      "outputTokens": 0,
      "totalTokens": 0,
      "toolCalls": 0,
      "costMicros": 0,
      "externalSpendMicros": 0,
      "totalCostMicros": 0,
      "costSource": "reported",
      "capExceeded": 0,
      "stopReason": "string",
      "startedAt": "string",
      "endedAt": "string",
      "durationMs": 0,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?